
Infrastructure - Task #2494

Fix CNReplication.setReplicationStatus() admin authorization

2012-03-15 17:58 - Chris Jones

Status: Closed Start date: 2012-03-15

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Metacat's CNReplication.setReplicationStatus() implementation is not allowing system metadata to be updated after recent changes

to isAuthorized() (adding in isAdminAuthorized()). The behavior should allow CN and target replica MN subject access.

History

#1 - 2012-03-15 19:27 - Chris Jones

I changed the implementation to look for a target replica MN subject match first.  If that fails, check for CN admin access, otherwise fail.  Will test this

before closing.

#2 - 2012-03-19 14:46 - Chris Jones

- Status changed from In Progress to Closed

setReplicationStatus() works with the new changes.
